Bug 228235 - lang/cython : update to 0.28.2
Summary: lang/cython : update to 0.28.2
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-14 06:21 UTC by wen
Modified: 2018-05-28 06:57 UTC (History)
2 users (show)

See Also:
vmagerya: maintainer-feedback+


Attachments
update to 0.28.2 (796 bytes, text/plain)
2018-05-14 06:21 UTC, wen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description wen 2018-05-14 06:21:33 UTC
Created attachment 193377 [details]
update to 0.28.2

update to 0.28.2
Comment 1 Vitaly Magerya 2018-05-14 10:12:33 UTC
Looks good to me. Thanks.
Comment 2 wen 2018-05-14 23:32:10 UTC
(In reply to Vitaly Magerya from comment #1)
So many ports depends on cython, shall we ask for a exp-run ?

wen
Comment 3 Vitaly Magerya 2018-05-15 10:18:50 UTC
Cython has so far been solid with backward compatibility (with maybe one exception), and this is a .2 release already, so I wouldn't expect any breakage. The changelog at [1] doesn't indicate anything extraordinary as well.

[1] https://github.com/cython/cython/blob/0.28.2/CHANGES.rst
Comment 4 commit-hook freebsd_committer 2018-05-15 11:02:06 UTC
A commit references this bug:

Author: wen
Date: Tue May 15 11:01:59 UTC 2018
New revision: 470010
URL: https://svnweb.freebsd.org/changeset/ports/470010

Log:
  - Update to 0.28.2

  PR:		228235
  Submitted by:	wenheping2000@hotmail.com(myself)
  Approved by:	maintainer

Changes:
  head/lang/cython/Makefile
  head/lang/cython/distinfo
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-05-15 11:04:17 UTC
Assign to committer that resolved
Comment 6 commit-hook freebsd_committer 2018-05-16 19:36:12 UTC
A commit references this bug:

Author: jbeich
Date: Wed May 16 19:35:50 UTC 2018
New revision: 470142
URL: https://svnweb.freebsd.org/changeset/ports/470142

Log:
  devel/renpy6: mark BROKEN after r470010

  Error compiling Cython file:
  ------------------------------------------------------------
  ..
  IMAGEDISSOLVE = 2
  PIXELLATE = 3

  cdef class Render:

      def __init__(Render self, float width, float height, draw_func=None, layer_name=None, bint opaque=None): #@DuplicatedSignature
                                                                                                       ^
  ------------------------------------------------------------

  /wrkdirs/usr/ports/devel/renpy6/work-py27/renpy-6.18.3-sdk/renpy/display/render.pyx:451:102: Cannot assign None to bint
  _renpy is out of date.
  _renpybidi is out of date.
  pysdlsound.sound is out of date.
  renpy.style is out of date.
  renpy.styleclass is out of date.
  renpy.display.render is out of date.

  Command '['cython-2.7', '-Iinclude', '-Igen', '-a', '../renpy/display/render.pyx', '-o', 'gen/renpy.display.render.c']' returned non-zero exit status 1

  PR:		228235
  Reported by:	pkg-fallout

Changes:
  head/devel/renpy6/Makefile
Comment 7 commit-hook freebsd_committer 2018-05-16 19:36:15 UTC
A commit references this bug:

Author: jbeich
Date: Wed May 16 19:36:05 UTC 2018
New revision: 470143
URL: https://svnweb.freebsd.org/changeset/ports/470143

Log:
  net/py-pcs: mark BROKEN after r470010

  pcs/pcap/pcap.c:4802:34: error: expected expression
      (void)(Py_BEGIN_ALLOW_THREADS);
                                   ^
  pcs/pcap/pcap.c:4820:12: error: expected ')'
      (void)(Py_END_ALLOW_THREADS);
             ^
  /usr/local/include/python2.7/ceval.h:135:60: note: expanded from macro 'Py_END_ALLOW_THREADS'
   #define Py_END_ALLOW_THREADS    PyEval_RestoreThread(_save); \
                                                              ^
  pcs/pcap/pcap.c:4820:11: note: to match this '('
      (void)(Py_END_ALLOW_THREADS);
            ^
  pcs/pcap/pcap.c:5866:34: error: expected expression
      (void)(Py_BEGIN_ALLOW_THREADS);
                                   ^
  pcs/pcap/pcap.c:5884:12: error: expected ')'
      (void)(Py_END_ALLOW_THREADS);
             ^

  PR:		228235
  Reported by:	pkg-fallout

Changes:
  head/net/py-pcs/Makefile
Comment 8 commit-hook freebsd_committer 2018-05-16 19:59:37 UTC
A commit references this bug:

Author: jbeich
Date: Wed May 16 19:59:03 UTC 2018
New revision: 470147
URL: https://svnweb.freebsd.org/changeset/ports/470147

Log:
  devel/renpy: mark BROKEN after r470010

  Error compiling Cython file:
  ------------------------------------------------------------
  ...
  IMAGEDISSOLVE = 2
  PIXELLATE = 3

  cdef class Render:

      def __init__(Render self, float width, float height, draw_func=None, layer_name=None, bint opaque=None): #@DuplicatedSignature
                                                                                                       ^
  ------------------------------------------------------------

  /wrkdirs/usr/ports/devel/renpy/work-py27/renpy-6.99.14.3-sdk/renpy/display/render.pyx:575:102: Cannot assign None to bint
  _renpy is out of date.
  _renpybidi is out of date.
  _renpysteam is out of date.
  renpy.audio.renpysound is out of date.
  renpy.parsersupport is out of date.
  renpy.pydict is out of date.
  renpy.style is out of date.
  renpy.styledata.styleclass is out of date.
  renpy.styledata.stylesets is out of date.
  renpy.styledata.style_selected_hover_functions is out of date.
  renpy.styledata.style_selected_idle_functions is out of date.
  renpy.styledata.style_selected_insensitive_functions is out of date.
  renpy.styledata.style_selected_functions is out of date.
  renpy.styledata.style_hover_functions is out of date.
  renpy.styledata.style_idle_functions is out of date.
  renpy.styledata.style_insensitive_functions is out of date.
  renpy.styledata.style_functions is out of date.
  renpy.styledata.style_activate_functions is out of date.
  renpy.styledata.style_selected_activate_functions is out of date.
  renpy.display.render is out of date.

  Command '['cython-2.7', '-Iinclude', '-Igen', '-I..', '../renpy/display/render.pyx', '-o', 'gen/renpy.display.render.c']' returned non-zero exit status 1

  PR:		228235
  Reported by:	pkg-fallout

Changes:
  head/devel/renpy/Makefile
Comment 9 commit-hook freebsd_committer 2018-05-16 20:35:11 UTC
A commit references this bug:

Author: jbeich
Date: Wed May 16 20:34:46 UTC 2018
New revision: 470152
URL: https://svnweb.freebsd.org/changeset/ports/470152

Log:
  x11/xpra: mark BROKEN after r470010

  [21/28] Cythonizing xpra/x11/bindings/keyboard_bindings.pyx
  Traceback (most recent call last):
    File "<string>", line 1, in <module>
    File "setup.py", line 2484, in <module>
      setup_options["ext_modules"] = cythonize(ext_modules, gdb_debug=False)
    File "/usr/local/lib/python2.7/site-packages/Cython/Build/Dependencies.py", line 1026, in cythonize
      cythonize_one(*args)
    File "/usr/local/lib/python2.7/site-packages/Cython/Build/Dependencies.py", line 1146, in cythonize_one
      raise CompileError(None, pyx_file)
  Cython.Compiler.Errors.CompileError: xpra/x11/bindings/keyboard_bindings.pyx

  PR:		228235

Changes:
  head/x11/xpra/Makefile
Comment 10 commit-hook freebsd_committer 2018-05-16 22:17:48 UTC
A commit references this bug:

Author: jbeich
Date: Wed May 16 22:16:47 UTC 2018
New revision: 470154
URL: https://svnweb.freebsd.org/changeset/ports/470154

Log:
  x11-toolkits/py-kivy: mark BROKEN after r470010

   Error compiling Cython file:
   ------------------------------------------------------------
   ...
                   end = time()
                   Logger.debug("Svg: Loaded {} in {:.2f}s".format(filename, end - start))
               finally:
                   fd.close()

       cdef void reload(self) except *:
           ^
   ------------------------------------------------------------

   kivy/graphics/svg.pyx:469:9: Signature not compatible with previous declaration

   Error compiling Cython file:
   ------------------------------------------------------------
   ...
           cpdef flag_update(self, int do_parent=?, list _instrs=?)
       ELSE:
           cpdef flag_update(self, int do_parent=?)
       cdef void flag_update_done(self)
       cdef void set_parent(self, Instruction parent)
       cdef void reload(self)
                      ^
   ------------------------------------------------------------

   kivy/graphics/instructions.pxd:36:20: Previous declaration is here
  building 'kivy.graphics.svg' extension
  cc -DNDEBUG -O2 -pipe -fstack-protector -fno-strict-aliasing -fPIC -Ikivy/include -I/usr/local/include -Ikivy/include -I/usr/local/include/python2.7 -c kivy/graphics/svg.c -o build/temp.freebsd-11.1-RELEASE-p9-i386-2.7/kivy/graphics/svg.o
  kivy/graphics/svg.c:1:2: error: Do not use this file, it is the result of a failed Cython compilation.
   #error Do not use this file, it is the result of a failed Cython compilation.
    ^

  PR:		228235

Changes:
  head/x11-toolkits/py-kivy/Makefile
Comment 11 commit-hook freebsd_committer 2018-05-16 22:51:24 UTC
A commit references this bug:

Author: jbeich
Date: Wed May 16 22:50:27 UTC 2018
New revision: 470157
URL: https://svnweb.freebsd.org/changeset/ports/470157

Log:
  devel/renpy: unbreak with cython 0.28

  PR:		228235
  Obtained from:	upstream

Changes:
  head/devel/renpy/Makefile
  head/devel/renpy/files/patch-renpy_display_render.pyx
  head/devel/renpy6/Makefile
  head/devel/renpy6/files/patch-renpy_display_render.pyx
Comment 12 John Smith 2018-05-27 22:22:58 UTC
(In reply to commit-hook from comment #9)
What is the suggested issue workflow in that case?
If a port is BROKEN, who should fix it?
FreeBSD port maintainers or port developers?
Officially, xpra doesn't even support FreeBSD.

Also, did I get it right that `wen` introduced some changes that broke a number of ports?
If that is the case - shouldn't the introduced changes get removed until all broken ports are fixed?
Comment 13 wen 2018-05-27 22:36:25 UTC
(In reply to John Smith from comment #12)

Also I did not get the BROKEN message from FreeBSD, I know the update of cython break some ports.

I shall try to fix the BROKEN ports with maintainer, else revert the commit if needed.

wen
Comment 14 wen 2018-05-28 06:57:14 UTC
(In reply to John Smith from comment #12)
There are many newer version of xpra. as my test, xpra-2.1.3 builds well with cython-0.28, but I am not sure whether or not it works. Would you have a try ?

Thank you !

wen